#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0xa07e46e7, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0xa9bc1b9b, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0xffc58709, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0xc43653d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab0ae290, "percpu_free_rwsem" },
	{ 0x7c5c2658, "tty_set_termios" },
	{ 0x9f0b8477, "device_property_present" },
	{ 0xe676dc2a, "is_acpi_device_node" },
	{ 0x2e1d4db1, "device_set_wakeup_capable" },
	{ 0x89bad916, "devm_request_threaded_irq" },
	{ 0x40821388, "percpu_down_write" },
	{ 0xf4092b8d, "devm_kmalloc" },
	{ 0x41cb7708, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x5639a9e4, "tty_register_ldisc" },
	{ 0x508411d2, "serdev_device_set_baudrate" },
	{ 0xa71c1cf0, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x36ae8622, "hci_free_dev" },
	{ 0xeb4ba7b, "platform_get_irq" },
	{ 0x967ba58b, "btbcm_finalize" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9735ff20, "skb_dequeue" },
	{ 0x36baf0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x1bfb43ad, "gpiod_set_value_cansleep" },
	{ 0x4fadcc24, "btbcm_initialize" },
	{ 0x4ba07d68, "serdev_device_set_flow_control" },
	{ 0xb6c0932c, "gpiod_to_irq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5b8f85ec, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x7700aacd, "serdev_device_open" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a3ce0d4, "dev_kfree_skb_irq_reason" },
	{ 0x6a882fc8, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x81628e73, "__dynamic_dev_dbg" },
	{ 0xd531c6, "devm_clk_get" },
	{ 0x78c70708, "skb_queue_purge_reason" },
	{ 0xf1ceae4d, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1f17475, "acpi_dev_get_resources" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2232134c, "devm_free_irq" },
	{ 0xd3a875f7, "tty_driver_flush_buffer" },
	{ 0xb78b6c62, "pm_runtime_enable" },
	{ 0x1806b850, "__alloc_skb" },
	{ 0x92bc3e39, "regulator_bulk_disable" },
	{ 0x64d88058, "device_property_read_u32_array" },
	{ 0xbb4661aa, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f2cd382, "skb_queue_tail" },
	{ 0x2720dd8a, "device_wakeup_disable" },
	{ 0xc2b0fe76, "btbcm_read_pcm_int_params" },
	{ 0xe108eeb8, "percpu_up_write" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6176da1c, "devm_acpi_dev_add_driver_gpios" },
	{ 0x5913d4bc, "_dev_err" },
	{ 0xd7db1de8, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xdb59fd1a, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xe798838, "device_property_read_u8_array" },
	{ 0xe2771573, "devm_clk_put" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x104febd8, "serdev_device_write_flush" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xa17c12e6, "irq_get_irq_data" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xc57c5ec4, "skb_push" },
	{ 0xfc9e1f3f, "n_tty_ioctl_helper" },
	{ 0x6be2d2c0, "driver_unregister" },
	{ 0x53a5e1fb, "tty_ldisc_flush" },
	{ 0xf717c7da, "__percpu_init_rwsem" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8bddc362, "__serdev_device_driver_register" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3b7ebfaa, "_dev_warn" },
	{ 0xdcf22c4c, "device_get_match_data" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xd38e0283, "acpi_match_device" },
	{ 0xb09a8b8, "serdev_device_set_tiocm" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbac78a4a, "regulator_bulk_enable" },
	{ 0xd27077d7, "devm_regulator_bulk_get" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x28d7dac8, "serdev_device_write_buf" },
	{ 0x4cd285da, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfb3bf22e, "tty_unregister_ldisc" },
	{ 0xd9272a71, "__platform_driver_register" },
	{ 0xeddbd3ef, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xb02893de, "__pm_runtime_resume" },
	{ 0xd594ef09, "hci_recv_frame" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xb1fcf43c, "of_irq_get_byname" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0xfa088ba3, "serdev_device_close" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x611f0cf0, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0xd229d764, "btbcm_write_pcm_int_params" },
	{ 0xd4b21f40, "btbcm_set_bdaddr" },
	{ 0xeb5c3383, "tty_unthrottle" },
	{ 0x503daede, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xd0e53f75, "btbcm_check_bdaddr" },
	{ 0x76939c1d, "rcuwait_wake_up" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x50a688bc, "__pm_runtime_suspend" },
	{ 0xabd0595, "hci_register_dev" },
	{ 0xcafbebe6, "__pm_runtime_use_autosuspend" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x5faa2f9, "param_ops_int" },
	{ 0xc864e9b0, "__hci_cmd_sync" },
	{ 0xe7367ee0, "of_device_get_match_data" },
	{ 0xe1e3bdb7, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xdcc933b0, "hci_recv_diag" },
	{ 0xcf1425e5, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btbcm");

MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0C*");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-bt");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-btC*");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-bt");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-btC*");

MODULE_INFO(srcversion, "29E1CA15E632C78826DA3B6");
MODULE_INFO(rhelversion, "9.6");
