#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xedae02ba, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x54c61591, "_gpl");
SYMBOL_CRC(stm_data_write, 0x7e983214, "_gpl");
SYMBOL_CRC(stm_register_device, 0x788c2422, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x2ae8eb1c, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x210f180d, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x38563e9c, "_gpl");
SYMBOL_CRC(stm_source_write, 0x68b68270, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x73d93e4e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x796833f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa175f52c, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x700cc96c, "device_unregister" },
	{ 0x36baf0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x9e9473b2, "vm_iomap_memory" },
	{ 0x5ed36c5e, "config_item_get" },
	{ 0xae831b22, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x23955555, "synchronize_srcu" },
	{ 0x81628e73, "__dynamic_dev_dbg" },
	{ 0xbd3327d2, "configfs_unregister_subsystem" },
	{ 0xf1ceae4d, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf5c5f36f, "put_device" },
	{ 0xb78b6c62, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x289e0bc4, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6dd40502, "init_srcu_struct" },
	{ 0xfd03ed14, "configfs_register_subsystem" },
	{ 0xb9e95e46, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0xfa6122f8, "__srcu_read_lock" },
	{ 0x477222ad, "config_group_init_type_name" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xa0647390, "class_unregister" },
	{ 0xfbf0dc39, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdcb764ad, "memset" },
	{ 0xd3d4a220, "__get_task_comm" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x43f04802, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x4cddce3a, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xabe53aae, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb02893de, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x7ea32761, "config_item_put" },
	{ 0x2150fa1e, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x59d557a8, "kobject_set_name" },
	{ 0xbc39f8a5, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x68a644d1, "__srcu_read_unlock" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x50a688bc, "__pm_runtime_suspend" },
	{ 0xcafbebe6, "__pm_runtime_use_autosuspend" },
	{ 0xe1e3bdb7, "__pm_runtime_disable" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x37fdf3f7, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0xe5e6a907, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.6");
