#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xbf952d62, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x5b0ffe57, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x47a203ec, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x6a726163, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe88752ba, "ether_setup" },
	{ 0xe66e8c91, "__ethtool_get_link_ksettings" },
	{ 0x70a6e928, "ethtool_get_ts_info_by_layer" },
	{ 0xdfc9e076, "init_net" },
	{ 0xed9bfea8, "generic_hwtstamp_set_lower" },
	{ 0xf245ac90, "generic_hwtstamp_get_lower" },
	{ 0xb2ae99e9, "dev_mc_del" },
	{ 0x7025ff82, "dev_uc_del" },
	{ 0x4c6f2084, "dev_mc_add_excl" },
	{ 0xa86c8faa, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd3ca0769, "vlan_vid_del" },
	{ 0xdde4b2a5, "vlan_vid_add" },
	{ 0x3677ada0, "dev_set_allmulti" },
	{ 0xd457c648, "dev_set_promiscuity" },
	{ 0xc0ac03c8, "dev_uc_unsync" },
	{ 0x1a0e307e, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x6da2e3af, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x95b67fc6, "rtnl_link_unregister" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b319c84, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xb63d3c82, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7e3c5fb, "dev_uc_add" },
	{ 0x5edda431, "dev_set_mac_address" },
	{ 0xe436ab8a, "call_netdevice_notifiers" },
	{ 0x61622509, "netif_inherit_tso_max" },
	{ 0xb2ed26ea, "netdev_update_features" },
	{ 0x7dbcf475, "netif_stacked_transfer_operstate" },
	{ 0xb58309c, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x511bb2c2, "unregister_netdevice_queue" },
	{ 0xb970a5ca, "netdev_upper_dev_unlink" },
	{ 0xa30471e1, "dev_uc_sync" },
	{ 0xff9dbd5d, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7d2fe0c1, "skb_clone" },
	{ 0x372e10f4, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8c45df6b, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0x310acdac, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb7d80ca, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3d23a8a7, "register_netdevice" },
	{ 0x389a32af, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xcc4034e0, "linkwatch_fire_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x823cf96d, "netdev_core_stats_alloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x15bd6705, "__netif_rx" },
	{ 0xae363e4c, "__dev_queue_xmit" },
	{ 0x89663f38, "dev_forward_skb" },
	{ 0x5d7c5e22, "ip_check_defrag" },
	{ 0xc7ddf246, "passthru_features_check" },
	{ 0xed69cccb, "eth_validate_addr" },
	{ 0x6e9f87a1, "ndo_dflt_fdb_dump" },
	{ 0x711167e8, "eth_header_parse" },
	{ 0xbf15469e, "eth_header_cache" },
	{ 0x13284440, "eth_header_cache_update" },
	{ 0xe23f006a, "ethtool_op_get_link" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E9C474A79A89BDFD889463");
MODULE_INFO(rhelversion, "9.6");
