#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x022bd722, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x01a99e6a, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x601e2a45, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xd58b277c, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xf28ad71d, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x7fcd54f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x226bf835, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6a57d2d9, "__nlmsg_put" },
	{ 0x41cb7708, "skb_put" },
	{ 0xbc66bafa, "dev_set_name" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x700cc96c, "device_unregister" },
	{ 0x9735ff20, "skb_dequeue" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x470b9136, "finish_wait" },
	{ 0x6da2e3af, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xb22eac2d, "device_for_each_child" },
	{ 0xaece54f4, "prepare_to_wait_event" },
	{ 0x1e31314c, "__wake_up" },
	{ 0x21ab6fe4, "rtnl_create_link" },
	{ 0x511bb2c2, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x78c70708, "skb_queue_purge_reason" },
	{ 0x3b7fb06c, "alloc_netdev_mqs" },
	{ 0x93725fa0, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf5c5f36f, "put_device" },
	{ 0x1806b850, "__alloc_skb" },
	{ 0xbb4661aa, "_dev_info" },
	{ 0x1f2cd382, "skb_queue_tail" },
	{ 0x7e28639b, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x95b67fc6, "rtnl_link_unregister" },
	{ 0xdfc9e076, "init_net" },
	{ 0xdb59fd1a, "skb_pull" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0xadf0687e, "noop_llseek" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x85551ba9, "ida_free" },
	{ 0xf8956a92, "free_netdev" },
	{ 0xa0647390, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa43d0913, "class_dev_iter_init" },
	{ 0xc595cdaa, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x2150fa1e, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4202534c, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xfc88b4ee, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x37fdf3f7, "class_register" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0xcf1425e5, "skb_queue_head" },
	{ 0xe5e6a907, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3d23a8a7, "register_netdevice" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
