#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x94fd21cb, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xcec3dc42, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xb2966313, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xf6ebad2b, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x6323f026, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xcddb6462, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xb37c0a10, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x4f5c08f6, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x9f2ab26c, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xdc32afda, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x6694b46e, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xb66dbfc7, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x11b04225, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x796833f, "try_module_get" },
	{ 0x96640317, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf5c5f36f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xbb4661aa, "_dev_info" },
	{ 0x289e0bc4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa2e8c78d, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x203f5d03, "down_write" },
	{ 0x5913d4bc, "_dev_err" },
	{ 0x1ab9cd00, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb5efd1a5, "device_create" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xa0647390, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9d3fdef3, "__nvme_submit_sync_cmd" },
	{ 0xdcb764ad, "memset" },
	{ 0x3b7ebfaa, "_dev_warn" },
	{ 0xed30d8d0, "misc_register" },
	{ 0x11901b11, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd761cc8b, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x17166e34, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xc46b240e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x9512da1b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x17b8e167, "single_open" },
	{ 0xe4a001ea, "up_read" },
	{ 0x37fdf3f7, "class_register" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcfe42734, "nvme_auth_negotiate" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "30C9F4E06CD4A7F37837DE5");
MODULE_INFO(rhelversion, "9.6");
