#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xfbd55bea, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x937dbbd0, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x1a0afc10, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xc8b61beb, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x3f036db1, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xff3cbdee, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xdc6aeef8, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xcc965073, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x394b01c5, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xdfd674aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc3aff927, "dst_cache_set_ip4" },
	{ 0xc1ad3520, "kernel_bind" },
	{ 0x9ae0de68, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4a0fd9c, "netdev_warn" },
	{ 0xdbb04b99, "udp_tunnel_nic_ops" },
	{ 0x7af50435, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdeebbd41, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x64c364f8, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4403445c, "iptunnel_xmit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x92a9368c, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x4cd285da, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf66b79dd, "__dynamic_netdev_dbg" },
	{ 0x34c027af, "dst_cache_get_ip4" },
	{ 0x753d6d15, "sock_create_kern" },
	{ 0xe436ab8a, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5b606be2, "metadata_dst_alloc" },
	{ 0x294d28b0, "dst_release" },
	{ 0x61e189de, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbb5e747e, "sock_bindtoindex" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.6");
