#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x98ba9815, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xab2dfe6d, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x6459d7d7, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xcd10d795, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x1d2a02ad, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x97000677, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a357ce0, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1bf08762, "nsh_pop" },
	{ 0x497887e0, "nf_conntrack_find_get" },
	{ 0xdbbcb4b7, "nf_ct_set_timeout" },
	{ 0x885af64e, "dev_get_stats" },
	{ 0x9321151, "__nla_put" },
	{ 0x796833f, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x144863b2, "dev_fill_metadata_dst" },
	{ 0xa97f1700, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xeb14b1fe, "nf_ct_handle_fragments" },
	{ 0x2d13e9d5, "eth_mac_addr" },
	{ 0x41cb7708, "skb_put" },
	{ 0xb7a5395a, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3381d7c3, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xdbe90a3, "nf_ct_nat" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6b5dc967, "skb_eth_pop" },
	{ 0x8450c0e9, "trace_raw_output_prep" },
	{ 0x3e2a42, "skb_gso_validate_mac_len" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x499c30e8, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x7a277838, "nf_ct_helper" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xa321570, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x9f375f7d, "trace_event_printf" },
	{ 0x50a41486, "rtnl_delete_link" },
	{ 0x6da2e3af, "rtnl_link_register" },
	{ 0x6b72268a, "nf_connlabels_put" },
	{ 0x9ebe3332, "genlmsg_put" },
	{ 0xb60e9679, "___pskb_trim" },
	{ 0x3616f747, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3fdd7ade, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xd457c648, "dev_set_promiscuity" },
	{ 0x4f994b48, "nf_ct_destroy_timeout" },
	{ 0x11e56779, "nf_ct_add_helper" },
	{ 0xe1635758, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb06d83b3, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x77e8e880, "nf_ct_skb_network_trim" },
	{ 0xb36dc0f4, "event_triggers_call" },
	{ 0x511bb2c2, "unregister_netdevice_queue" },
	{ 0x52118b33, "kmem_cache_create" },
	{ 0x62be5ff6, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x916758a3, "node_states" },
	{ 0xe88752ba, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdb1b8540, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd2fd7a42, "pskb_expand_head" },
	{ 0x5e689448, "skb_csum_hwoffload_help" },
	{ 0x71880fcc, "trace_event_buffer_commit" },
	{ 0xc1faa2c3, "nf_connlabels_replace" },
	{ 0xf04f1c90, "eth_type_trans" },
	{ 0x3b7fb06c, "alloc_netdev_mqs" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb7771c29, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x310acdac, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd2244ca0, "trace_event_ignore_this_pid" },
	{ 0xadc068ab, "skb_eth_push" },
	{ 0x7901de07, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x1806b850, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdae1ad2f, "kmem_cache_alloc" },
	{ 0x5da409e8, "skb_mpls_pop" },
	{ 0x557c6557, "skb_vlan_pop" },
	{ 0x70881c01, "dst_init" },
	{ 0x289e0bc4, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xf50040d1, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x95b67fc6, "rtnl_link_unregister" },
	{ 0xbd4dcca2, "perf_trace_run_bpf_submit" },
	{ 0xdfc9e076, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xdeebbd41, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb3b77047, "skb_mpls_update_lse" },
	{ 0xdb59fd1a, "skb_pull" },
	{ 0x2bc686bf, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x7e822b70, "netlink_unicast" },
	{ 0x62ad0dd8, "bpf_trace_run5" },
	{ 0xda597133, "dev_get_by_index_rcu" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xc57c5ec4, "skb_push" },
	{ 0x27a0e550, "kmem_cache_free" },
	{ 0xb970a5ca, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x478a4bfb, "trace_event_reg" },
	{ 0x14de63ed, "skb_ensure_writable" },
	{ 0xf8956a92, "free_netdev" },
	{ 0xa8703190, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x428f31e3, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe23f006a, "ethtool_op_get_link" },
	{ 0x6234abf4, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xe648cdac, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1bae615f, "__pskb_pull_tail" },
	{ 0x7af4a7f4, "nf_ct_delete" },
	{ 0x3b4e9d68, "nf_conncount_init" },
	{ 0x59bd3673, "skb_vlan_push" },
	{ 0x9e1548d8, "dev_get_tstats64" },
	{ 0x372e10f4, "netif_rx" },
	{ 0x36b59298, "__netdev_alloc_skb" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xef5043c5, "netdev_master_upper_dev_link" },
	{ 0xe89ead0b, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd761cc8b, "down_read" },
	{ 0x4691495f, "inet_proto_csum_replace16" },
	{ 0x4cd285da, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa1df027b, "skb_scrub_packet" },
	{ 0x3af43061, "nf_ct_deliver_cached_events" },
	{ 0x6d47b06f, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x974f3f68, "skb_tx_error" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xae363e4c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4bab7092, "trace_event_buffer_reserve" },
	{ 0x9854f3b3, "__skb_checksum" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5ec57efc, "inet_proto_csum_replace4" },
	{ 0x647d208b, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf0d098f9, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd96c4613, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xefa0415b, "dev_get_by_name" },
	{ 0x7d2fe0c1, "skb_clone" },
	{ 0x5b606be2, "metadata_dst_alloc" },
	{ 0x294d28b0, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6d05fdbd, "peernet2id_alloc" },
	{ 0x7e0c88bb, "nf_ct_get_tuplepr" },
	{ 0xb63d3c82, "netdev_rx_handler_register" },
	{ 0x2acb6593, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x47da6c8d, "genl_unregister_family" },
	{ 0xe3e50ec4, "dev_disable_lro" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x216e3dd, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf2363776, "genl_register_family" },
	{ 0xaa361781, "nf_ct_tmpl_free" },
	{ 0x96248c2, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe0d9e4dd, "__skb_gso_segment" },
	{ 0xe4a001ea, "up_read" },
	{ 0x5488deb5, "skb_mpls_push" },
	{ 0xd5f03215, "register_pernet_device" },
	{ 0xb751423, "nf_conntrack_in" },
	{ 0x6b0ddd50, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x7443b257, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5a046b4f, "kmem_cache_destroy" },
	{ 0x86d0c17, "__skb_vlan_pop" },
	{ 0x9ac0096d, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d23a8a7, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "9006F985F64BF088EAE0988");
MODULE_INFO(rhelversion, "9.6");
