#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x0f0464a3, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xb214c45a, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xcdcb9944, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x61cd1792, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xaa3eabee, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xc63c86a3, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x504e6825, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x981fec6d, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xb98fb2e9, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x2976ac0d, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xf027da34, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xab925953, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x4be65d2b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xc4ede8c0, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x50ca19df, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x93c42c33, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x4e43071f, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xf2c90535, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xe18a8b5c, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xad96db67, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x81860dd8, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xff974fff, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xb744fcdd, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xbb39a5a3, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xa25aed26, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xa33736fa, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xf75fe497, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xffb18036, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x43da4aff, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xac7be995, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x794cab9b, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x5415a55e, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xf58063f3, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x6c645406, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xcf3c45f4, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xfe2872e3, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xbf14ca10, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xc50a6e34, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x74dec596, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x8fbd784f, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xc6665576, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x34bda3cb, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x3abea341, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x7d808a28, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x1ec376fb, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x7fee4d3f, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x661c5141, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xcab54aef, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x099c7ca0, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x52e195c5, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x4d1288cd, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x7492e80c, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x969a6057, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xda3b04a6, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xa11216bd, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x610681e5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xbcb3c778, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xc29e590f, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xaf65329b, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x9156ce40, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xa52fdef6, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xa81f3ce7, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x854383c9, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xbce23bdb, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xe5b7ed66, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x17523395, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xee9ae1dd, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x3e2eaad7, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x9185dae6, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xf2d80fa5, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xc9a53722, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xcc978058, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x48b74143, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x1b303cd2, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xf127885b, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xc1692839, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xd3d6afdb, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xd50649b8, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x65d4f5e6, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x8d2f3c4d, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xf9051c07, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x7e8f7a4d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x964a00eb, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xe3e8d5f0, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x5360b5c5, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x6e6974e6, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xa8ca8da3, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xe013c6e8, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xba57a722, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xe07bc21c, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xef4080ef, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xea8abe4f, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x28526931, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x9d512379, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x573197ce, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x450f7b38, "");
SYMBOL_CRC(drm_flip_work_queue, 0x31981136, "");
SYMBOL_CRC(drm_flip_work_commit, 0xa7440ddf, "");
SYMBOL_CRC(drm_flip_work_init, 0xb5112b7a, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xa1a818b4, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xf53b2e86, "");
SYMBOL_CRC(drm_fb_swab, 0xbb483341, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x7a419e51, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x8d39272f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x992aee74, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x4dd38166, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xa64e5cf4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xa3093029, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xcf6ebb1f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xe27b75bf, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xdbdd3fa5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x41d193a0, "");
SYMBOL_CRC(drm_fb_blit, 0x34376389, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x036101f9, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xdefc6517, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xebe67f56, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x86c1abbb, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xb2150c15, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x76c4d4b2, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xca9dbfca, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x7022f06f, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x82383d17, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xdd0da2ad, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x3ddfc53e, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x84191d59, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x4e9737a8, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xb616eb77, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xf7131233, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x97b6f38f, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x4665efe7, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x9bc5a57d, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xd4f9d824, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xe8f7e839, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x68730563, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x5f1c7d57, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xb6db3139, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x6b09819d, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x5298011b, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x3a25f304, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x68c05750, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x7926cfe7, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x5cdb190a, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xf1d79bcd, "");
SYMBOL_CRC(drm_crtc_init, 0x27991cb5, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x3f592e0b, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x9f5c5cdc, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xd0c4f5d9, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xd3ff6826, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x698b59f5, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x09f28099, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x96412f5f, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x26484281, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x9ef38ae9, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x8c109d56, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x7f90e2ec, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xe63d7a56, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xd55d0f60, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xa92b308b, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xdb1ea8b8, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xe205cda1, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x97c1ddfb, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x0467a73d, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xb6a4c1ae, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x6e8c3c18, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x984806a7, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x640b92e2, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xe7d378cc, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x82e98a60, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x75cfc986, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x026513fe, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xbe911260, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x69d9bc94, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x716f6cc4, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xaa24d2d2, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xb11e8c1a, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xf4b8f466, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x0d7fad41, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x6a3a3669, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xf55b3677, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x65ce0dd2, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x13a1ef7f, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0xad408659, "");
SYMBOL_CRC(drmm_of_get_bridge, 0xd5817409, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xa6414cfc, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x0c3a1632, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x536b44eb, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x36d652f0, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x1b6cbfab, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xae3b495b, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xf8db5686, "");
SYMBOL_CRC(drm_fb_helper_init, 0x18517ec5, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x45d247eb, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xbe06389c, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x5b6e4e6d, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x744d2a31, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x1e553e79, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x9a9cb2e4, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x3105986d, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xf3586513, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x94820682, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xe6fd3f89, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xc63e5f3d, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x07ab1671, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xd2820a9b, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x5ed68080, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xee8ae16b, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xbdfd69ca, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xabef6ba5, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xf2bf5471, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xa90b3817, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b37bc30, "unregister_framebuffer" },
	{ 0x538d8d59, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x8f91cc47, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xf9a1fb4c, "drm_client_register" },
	{ 0x25a345d2, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x70621c38, "drm_panel_get_modes" },
	{ 0xde9ab61e, "drm_gem_vmap_unlocked" },
	{ 0x796833f, "try_module_get" },
	{ 0x51fd8231, "drm_connector_list_update" },
	{ 0x5473b206, "drm_bridge_add" },
	{ 0x32a7443b, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x403f437b, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf4092b8d, "devm_kmalloc" },
	{ 0x8ff5dd58, "drm_client_rotation" },
	{ 0xed081bdc, "drm_client_buffer_vmap" },
	{ 0xf27347c7, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7bd156f, "drm_framebuffer_init" },
	{ 0x8d819521, "drm_mode_validate_driver" },
	{ 0xc1891201, "drm_atomic_add_affected_planes" },
	{ 0x45c951d5, "dma_buf_end_cpu_access" },
	{ 0x3d1c492a, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xffb10e41, "drm_mode_probed_add" },
	{ 0xa1814e1a, "drm_atomic_add_affected_connectors" },
	{ 0xda719d35, "drm_gem_vunmap_unlocked" },
	{ 0x5e3b8bfa, "drm_bridge_hpd_enable" },
	{ 0xd26ecd15, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x470b9136, "finish_wait" },
	{ 0xd5c706c8, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x92af1d73, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xb1435b7e, "drm_client_framebuffer_create" },
	{ 0xabeec926, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xae754e55, "drm_mode_object_get" },
	{ 0x4e725635, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x5a6f3f92, "drm_driver_legacy_fb_format" },
	{ 0xf7489835, "drm_crtc_cleanup" },
	{ 0x1e345303, "drm_connector_list_iter_begin" },
	{ 0x20bb994d, "fb_deferred_io_init" },
	{ 0x83a6e54f, "drm_mode_set_config_internal" },
	{ 0xce74e3e0, "fb_deferred_io_cleanup" },
	{ 0xaece54f4, "prepare_to_wait_event" },
	{ 0x3bbc4ae8, "framebuffer_alloc" },
	{ 0x98a3811d, "drm_encoder_cleanup" },
	{ 0xed9971e3, "drm_connector_unregister" },
	{ 0xe40bd5e0, "drm_modeset_acquire_init" },
	{ 0x53524a7f, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x8c12ed9, "drm_client_modeset_probe" },
	{ 0x111c7c6a, "drm_warn_on_modeset_not_all_locked" },
	{ 0x1ab63856, "drm_plane_get_damage_clips" },
	{ 0x316f4a7, "devres_add" },
	{ 0x1be083e0, "dma_fence_wait_timeout" },
	{ 0x88a12b1e, "drm_add_modes_noedid" },
	{ 0xe8e3ad39, "drm_bridge_remove" },
	{ 0x820a3e6e, "drm_mode_object_put" },
	{ 0x227107ce, "dev_driver_string" },
	{ 0xc7aec345, "drm_crtc_vblank_get" },
	{ 0xb6132ebb, "drm_gem_object_lookup" },
	{ 0x10b846a9, "drm_crtc_send_vblank_event" },
	{ 0x76d61425, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x79c3bc24, "fb_sys_write" },
	{ 0x71bd8c3f, "drm_atomic_normalize_zpos" },
	{ 0x977cfa37, "drm_edid_connector_update" },
	{ 0x7b8772c2, "drm_sysfs_hotplug_event" },
	{ 0xb9944f22, "drm_bridge_hpd_disable" },
	{ 0xf0d58a4f, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x196a3a14, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6564918, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xd4f54429, "sys_fillrect" },
	{ 0x852c8820, "drm_connector_list_iter_end" },
	{ 0x66c76f3d, "drm_atomic_set_crtc_for_plane" },
	{ 0xb24927d2, "drm_bridge_edid_read" },
	{ 0xd68abfbf, "drm_client_modeset_dpms" },
	{ 0xb53cab1c, "drm_mode_prune_invalid" },
	{ 0xfec2809d, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbb4661aa, "_dev_info" },
	{ 0x10d9726b, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x5324fad1, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x289e0bc4, "module_put" },
	{ 0x24cdc89a, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xad1aea2a, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7f55b10f, "drm_client_init" },
	{ 0x2e9150c2, "drm_crtc_wait_one_vblank" },
	{ 0x4e1ebd0d, "drm_crtc_next_vblank_start" },
	{ 0x39ca621c, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xbd5e5b9d, "drm_modeset_lock" },
	{ 0x560b0f2c, "drm_client_modeset_commit_locked" },
	{ 0x7b7cf498, "drm_modeset_unlock" },
	{ 0xdf984a0e, "drm_panel_disable" },
	{ 0x9fbf3df8, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e050cc, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9ee03b96, "devm_kfree" },
	{ 0x5913d4bc, "_dev_err" },
	{ 0xd7f5f85, "drm_writeback_cleanup_job" },
	{ 0xc57201f9, "drm_modeset_lock_all_ctx" },
	{ 0xfce00d3b, "i2c_unregister_device" },
	{ 0x2af566b4, "drm_atomic_set_fb_for_plane" },
	{ 0xe15c39d7, "__drm_universal_plane_alloc" },
	{ 0x7f1c1799, "drm_connector_init_with_ddc" },
	{ 0xd300490, "drm_edid_connector_add_modes" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x6ab81238, "__devres_alloc_node" },
	{ 0x5c01ddb8, "drm_edid_read" },
	{ 0x4c917178, "drm_crtc_commit_wait" },
	{ 0x173abaa4, "drm_dev_has_vblank" },
	{ 0xb9dd6c41, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xad1b8295, "__drm_atomic_helper_disable_plane" },
	{ 0x36da9eb, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6b627e5, "drm_gem_handle_create" },
	{ 0x20910da6, "drm_atomic_set_crtc_for_connector" },
	{ 0x4167ae10, "drm_analog_tv_mode" },
	{ 0x55f1c426, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xc4c1c122, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x92324d31, "drm_crtc_vblank_put" },
	{ 0x8161c7ef, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x4a1c4f62, "__drm_dev_dbg" },
	{ 0xc32e54e7, "drm_plane_get_damage_clips_count" },
	{ 0xd00d279f, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x212bd325, "fb_deferred_io_mmap" },
	{ 0x36d563f0, "drm_atomic_state_alloc" },
	{ 0x43b765d5, "drm_client_modeset_commit" },
	{ 0xdcb764ad, "memset" },
	{ 0x3b7ebfaa, "_dev_warn" },
	{ 0xe09231a7, "drm_atomic_bridge_chain_post_disable" },
	{ 0x172b5cb2, "drm_connector_update_edid_property" },
	{ 0x673e9e51, "fwnode_handle_get" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x35ab17f2, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x59df254b, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x61006eb7, "drm_client_release" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x54e35edf, "__drm_atomic_helper_set_config" },
	{ 0x7ebe65a8, "mutex_trylock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xe628abe3, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x475ce925, "drm_get_format_info" },
	{ 0xa62300d4, "drm_connector_cleanup" },
	{ 0xd1b5c7fc, "drm_universal_plane_init" },
	{ 0x6c4e6fec, "drm_any_plane_has_format" },
	{ 0xfc0511a6, "sys_copyarea" },
	{ 0x45c6b27a, "drm_connector_list_iter_next" },
	{ 0x76519c81, "drm_modeset_acquire_fini" },
	{ 0xd52b6711, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x4a7f0017, "drm_object_property_get_default_value" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0x7c48a641, "drm_of_find_panel_or_bridge" },
	{ 0xa54d3686, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9296f07a, "drm_modeset_backoff" },
	{ 0xb37ae519, "drm_panel_prepare" },
	{ 0xed7c8b03, "drm_bridge_chain_mode_set" },
	{ 0x4f0db16d, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xaabeea2, "fb_sys_read" },
	{ 0xf490a869, "drm_atomic_get_plane_state" },
	{ 0x5c920e3c, "drm_atomic_bridge_chain_check" },
	{ 0x7504bf90, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xb9b2297, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x1b519dd, "drm_property_blob_put" },
	{ 0x8dd5f717, "drm_mode_destroy" },
	{ 0x265e6baf, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x42b7cd06, "drm_set_preferred_mode" },
	{ 0xe665fe06, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x4a0db317, "drm_atomic_state_clear" },
	{ 0xb9315cf1, "drm_mode_config_reset" },
	{ 0x17addd71, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xa04561a9, "drm_modeset_drop_locks" },
	{ 0xa3a56885, "fwnode_handle_put" },
	{ 0x9dcf95ed, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x3d585dd0, "drm_atomic_bridge_chain_disable" },
	{ 0xff2c2cfb, "drm_mode_create_from_cmdline_mode" },
	{ 0x6054301, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x5faa2f9, "param_ops_int" },
	{ 0x34a49e84, "drm_atomic_nonblocking_commit" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x200d088b, "drm_master_internal_release" },
	{ 0x6b3ab640, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x2943c87f, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0xf5d3a319, "drm_atomic_add_encoder_bridges" },
	{ 0x3fbcc87, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf080e04, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "B691302735FEF891793A40E");
MODULE_INFO(rhelversion, "9.6");
