#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xc61425a6, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x58f662da, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x70e483cf, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x0005919c, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xd7011c4c, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x0bf1c238, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x03ff30b3, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x0153ce7d, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x61a7ac67, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xca4e6ce0, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x658c611c, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x9c9d4eb5, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x1716b1fd, "_gpl");
SYMBOL_CRC(usbnet_open, 0xe9690404, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x8ff2f633, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xf11173de, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x3412ea17, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x1d6ee053, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xf10c75cf, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xd4032054, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x5fc65ed5, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xb2f680d4, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x7760df2b, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x1c87c5c6, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x2289eac4, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xe7d33e83, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x2d9c01fc, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x002b874e, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x1f247074, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x0d87e0b6, "");
SYMBOL_CRC(usbnet_manage_power, 0x5206e68f, "");
SYMBOL_CRC(usbnet_link_change, 0x2b03e914, "");
SYMBOL_CRC(usbnet_read_cmd, 0x4c8bd4ec, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xc003d73b, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xcaa2fdcb, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x03a356c5, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x90ed71ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa777c7b7, "usb_set_interface" },
	{ 0x6405e7ff, "usb_string" },
	{ 0x81628e73, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf66b79dd, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x78c70708, "skb_queue_purge_reason" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x10eca429, "usb_get_urb" },
	{ 0x3a69d8db, "usb_unlink_urb" },
	{ 0x7392764, "usb_free_urb" },
	{ 0x382621c, "usb_submit_urb" },
	{ 0x234be7e7, "netdev_err" },
	{ 0xd1abae60, "mii_ethtool_get_link_ksettings" },
	{ 0x2857206c, "mii_ethtool_set_link_ksettings" },
	{ 0xca8e018c, "mii_nway_restart" },
	{ 0x9f2eab5a, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ee7dd6a, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x78775239, "usb_scuttle_anchored_urbs" },
	{ 0xc92de9e4, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf8956a92, "free_netdev" },
	{ 0x5903be38, "netdev_info" },
	{ 0xfd2070b3, "netif_carrier_on" },
	{ 0x1b0a2b26, "netif_carrier_off" },
	{ 0xed2cfffa, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa21f481e, "usb_autopm_get_interface" },
	{ 0x57d76a2e, "usb_autopm_put_interface" },
	{ 0xcde32827, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x73e535f5, "mii_link_ok" },
	{ 0xe23f006a, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xdc53812e, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbc99e948, "remove_wait_queue" },
	{ 0xea1387c0, "netif_device_detach" },
	{ 0xc84e8b91, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x93becb51, "skb_defer_rx_timestamp" },
	{ 0x372e10f4, "netif_rx" },
	{ 0xf04f1c90, "eth_type_trans" },
	{ 0x1f2cd382, "skb_queue_tail" },
	{ 0x83f14532, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xc7e70ef0, "register_netdev" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xb78b6c62, "pm_runtime_enable" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9735ff20, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5c732be0, "skb_clone_tx_timestamp" },
	{ 0x20a3a741, "usb_autopm_get_interface_async" },
	{ 0x216e3dd, "dev_kfree_skb_any_reason" },
	{ 0x75be237c, "skb_tstamp_tx" },
	{ 0x758251b5, "usb_anchor_urb" },
	{ 0x36b59298, "__netdev_alloc_skb" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0x8f4357ac, "netif_tx_wake_queue" },
	{ 0x1e31314c, "__wake_up" },
	{ 0x78738098, "usb_autopm_get_interface_no_resume" },
	{ 0xe5e2b545, "usb_get_from_anchor" },
	{ 0x41cb7708, "skb_put" },
	{ 0x9d2097ae, "usb_clear_halt" },
	{ 0x2d13e9d5, "eth_mac_addr" },
	{ 0xed69cccb, "eth_validate_addr" },
	{ 0x9e1548d8, "dev_get_tstats64" },
	{ 0xa6ead3f6, "ethtool_op_get_ts_info" },
	{ 0x5faa2f9, "param_ops_int" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
