#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xcbffc513, "");
SYMBOL_CRC(bt_sock_register, 0x69bdf970, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x60bffcef, "");
SYMBOL_CRC(bt_sock_link, 0x7e966daa, "");
SYMBOL_CRC(bt_sock_unlink, 0x955b31a3, "");
SYMBOL_CRC(bt_accept_enqueue, 0xc1492ec0, "");
SYMBOL_CRC(bt_accept_unlink, 0x5f9b1222, "");
SYMBOL_CRC(bt_accept_dequeue, 0x5209a22c, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x26e5e921, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xf8a261fe, "");
SYMBOL_CRC(bt_sock_poll, 0x0117a858, "");
SYMBOL_CRC(bt_sock_ioctl, 0x6e196af3, "");
SYMBOL_CRC(bt_sock_wait_state, 0x7fbe5312, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x7a26dcad, "");
SYMBOL_CRC(bt_procfs_init, 0x87cde4ff, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x4e74f222, "");
SYMBOL_CRC(bt_debugfs, 0x9d564a40, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x5b8f85ec, "");
SYMBOL_CRC(hci_free_dev, 0x36ae8622, "");
SYMBOL_CRC(hci_register_dev, 0x0abd0595, "");
SYMBOL_CRC(hci_unregister_dev, 0xeddbd3ef, "");
SYMBOL_CRC(hci_release_dev, 0xadfe4ec0, "");
SYMBOL_CRC(hci_suspend_dev, 0x241e8f39, "");
SYMBOL_CRC(hci_resume_dev, 0xaf13efa5, "");
SYMBOL_CRC(hci_reset_dev, 0x503daede, "");
SYMBOL_CRC(hci_recv_frame, 0xd594ef09, "");
SYMBOL_CRC(hci_recv_diag, 0xdcc933b0, "");
SYMBOL_CRC(hci_set_hw_info, 0x46be5d40, "");
SYMBOL_CRC(hci_set_fw_info, 0xe915ba7b, "");
SYMBOL_CRC(hci_register_cb, 0xbece3322, "");
SYMBOL_CRC(hci_unregister_cb, 0x90c1d9ab, "");
SYMBOL_CRC(__hci_cmd_send, 0x2e5ab08e, "");
SYMBOL_CRC(hci_get_route, 0xfd9a6aa3, "");
SYMBOL_CRC(hci_conn_security, 0xafff0193, "");
SYMBOL_CRC(hci_conn_check_secure, 0xa945d099, "");
SYMBOL_CRC(hci_conn_switch_role, 0x98e7e6dd, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x96f1fb4c, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x4f4651e3, "");
SYMBOL_CRC(l2cap_add_psm, 0xa7afea97, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x214ac38a, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xe49afee4, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x3b0c22a3, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xb7179348, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x034c2aaa, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x8f52881d, "");
SYMBOL_CRC(l2cap_register_user, 0xf1c42278, "");
SYMBOL_CRC(l2cap_unregister_user, 0x91b6699e, "");
SYMBOL_CRC(l2cap_conn_get, 0x29861616, "");
SYMBOL_CRC(l2cap_conn_put, 0xe25fdec0, "");
SYMBOL_CRC(l2cap_chan_send, 0x46aff23c, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x279fffd3, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xa9a408ab, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x5fef7e64, "");
SYMBOL_CRC(__hci_cmd_sync, 0xc864e9b0, "");
SYMBOL_CRC(hci_cmd_sync, 0x6e7108e5, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x53b6a33f, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xb522b2db, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xeeba74cc, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xb07e596f, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xfde39f19, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xd3577d0b, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x9bb309ff, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xd2676003, "");
SYMBOL_CRC(hci_devcd_init, 0x34898f64, "");
SYMBOL_CRC(hci_devcd_append, 0x01a52e3c, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xb7fffc44, "");
SYMBOL_CRC(hci_devcd_complete, 0x6f46a8be, "");
SYMBOL_CRC(hci_devcd_abort, 0x876db555, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xaaa91854, "skb_free_datagram" },
	{ 0x557db8b7, "sock_queue_rcv_skb_reason" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x796833f, "try_module_get" },
	{ 0x68cad8c0, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6c1fb8f, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xba313740, "ida_destroy" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xe2c4c8bf, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x41cb7708, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xbc66bafa, "dev_set_name" },
	{ 0x7422fc7a, "scm_detach_fds" },
	{ 0x81d510a7, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x700cc96c, "device_unregister" },
	{ 0x9735ff20, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xcc3854a8, "debugfs_create_u16" },
	{ 0x470b9136, "finish_wait" },
	{ 0x355ab736, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xbffa6c67, "add_wait_queue_exclusive" },
	{ 0xae831b22, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb8b63c9c, "seq_lseek" },
	{ 0xdc53812e, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa37c3645, "sock_no_connect" },
	{ 0xaece54f4, "prepare_to_wait_event" },
	{ 0x3a3ce0d4, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x1e31314c, "__wake_up" },
	{ 0xd8cb3186, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x87b09b8b, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x628b8d62, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8b4bdd70, "__put_cred" },
	{ 0x69d34765, "put_cmsg" },
	{ 0x78c70708, "skb_queue_purge_reason" },
	{ 0x1780cc35, "crypto_destroy_tfm" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x97068347, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x9ec1d3f1, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa0a395b4, "sock_register" },
	{ 0x9d3710f6, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf5c5f36f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1806b850, "__alloc_skb" },
	{ 0x7ee55cc2, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0xcfda19e9, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f2cd382, "skb_queue_tail" },
	{ 0x289e0bc4, "module_put" },
	{ 0x13288bf9, "__sock_recv_ts_and_drops" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xe82f577b, "debugfs_attr_read" },
	{ 0xa7ebd145, "__sock_recv_timestamp" },
	{ 0x1229aa39, "sock_no_shutdown" },
	{ 0x2cc9c77a, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x303e3e7b, "crypto_req_done" },
	{ 0xdfc9e076, "init_net" },
	{ 0xde253e3, "crypto_shash_setkey" },
	{ 0x577aceb5, "simple_open" },
	{ 0xdb59fd1a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb9e95e46, "device_add" },
	{ 0x60777667, "idr_alloc" },
	{ 0x4c29a901, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9437e17f, "init_uts_ns" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x6de1d9e0, "sk_free" },
	{ 0xd2facb01, "class_create" },
	{ 0x185776b4, "device_move" },
	{ 0xc6eaac65, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xc57c5ec4, "skb_push" },
	{ 0x9217d91e, "sock_no_listen" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x2613a642, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9aa746ac, "iov_iter_kvec" },
	{ 0x85551ba9, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xca453ddc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfead25a0, "device_find_child" },
	{ 0xa98283e3, "dev_coredumpv" },
	{ 0x54ca4776, "skb_copy_datagram_iter" },
	{ 0x9d85c15a, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xebf7e027, "sk_alloc" },
	{ 0x449c7d24, "device_del" },
	{ 0x66653865, "__sock_queue_rcv_skb" },
	{ 0x6b15569b, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x672e8761, "default_llseek" },
	{ 0x153a7496, "__sock_recv_wifi_status" },
	{ 0x343b1a4f, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x96581af7, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd3d4a220, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf3282f33, "sock_no_mmap" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x1bae615f, "__pskb_pull_tail" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x79f1b636, "__scm_destroy" },
	{ 0x44ccfeb2, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x4cd285da, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x6396df27, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17166e34, "seq_read" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0xb0c6687e, "sock_i_ino" },
	{ 0x62b07235, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xfd9bb5e1, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xcae95355, "skb_recv_datagram" },
	{ 0x56153dc0, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbd53f9d4, "remove_proc_entry" },
	{ 0xbd74ccce, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc7e4454a, "skb_copy" },
	{ 0x7d2fe0c1, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0x37cf2e67, "_copy_from_iter" },
	{ 0x4cf867ef, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbc99e948, "remove_wait_queue" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xaf944be6, "sock_gettstamp" },
	{ 0x9512da1b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7c2d864b, "pid_vnr" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x2e78445c, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x76de668, "proc_create_seq_private" },
	{ 0x245ddc9, "debugfs_create_u8" },
	{ 0x17b8e167, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8bed285e, "crypto_alloc_shash" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6b023c95, "fwnode_property_read_u8_array" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x7e65ff96, "put_pid" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdf90b3a6, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcefd4dff, "__dev_fwnode" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7a443239, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf1425e5, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "5F235CAF146C4AAAF30B80C");
MODULE_INFO(rhelversion, "9.6");
