#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xbea66835, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xa611cafb, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x053a7a70, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x5890f8ba, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x2438a210, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xa88048e1, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x35d732a3, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x7ae4fcb6, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x47da5d0a, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x5549172c, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x1ddd39ab, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xc3c98476, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xfa1eab54, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x4cfd196b, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x8fc72839, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x733248b6, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x529d49c5, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x9c1c58b6, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x763fb69e, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x579094c4, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x4a0ceb39, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f408eb9, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4cd65918, "icmpv6_ndo_send" },
	{ 0xb639d607, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3b7fb06c, "alloc_netdev_mqs" },
	{ 0x3d23a8a7, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xf8956a92, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x511bb2c2, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x7af50435, "ip_route_output_flow" },
	{ 0x294d28b0, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb7d80ca, "__dev_get_by_index" },
	{ 0xa68baba7, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xba7fb813, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xee410ec9, "netdev_state_change" },
	{ 0xf0609438, "ns_capable" },
	{ 0xb58309c, "dev_set_mtu" },
	{ 0xdfc9e076, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc6a7076e, "skb_copy_bits" },
	{ 0x4403445c, "iptunnel_xmit" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0xf50040d1, "__skb_get_hash_net" },
	{ 0x34c027af, "dst_cache_get_ip4" },
	{ 0xc3aff927, "dst_cache_set_ip4" },
	{ 0xd2fd7a42, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x67a85fb, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1bae615f, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa1df027b, "skb_scrub_packet" },
	{ 0x372ca5f6, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0xf04f1c90, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A032C01798ABAF43C20136B");
MODULE_INFO(rhelversion, "9.6");
