#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xd6854109, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x87f67a31, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x4ced4c93, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xd313126e, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xfe5c37ec, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x4fdfb066, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xbc03dcc0, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xf1f42852, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xaa8aa6c4, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x446972cc, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x19a57cb0, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x970f059c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x662e8d27, "ipv6_chk_addr_and_flags" },
	{ 0xda597133, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d67f2da, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xd5f03215, "register_pernet_device" },
	{ 0x8f412819, "xfrm6_tunnel_register" },
	{ 0x6da2e3af, "rtnl_link_register" },
	{ 0x8f10d8aa, "xfrm6_tunnel_deregister" },
	{ 0x428f31e3, "unregister_pernet_device" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x511bb2c2, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8e3ea523, "rt6_lookup" },
	{ 0x294d28b0, "dst_release" },
	{ 0xb7d80ca, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x31f391b, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xdfc9e076, "init_net" },
	{ 0x3b7fb06c, "alloc_netdev_mqs" },
	{ 0xc7e70ef0, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf8956a92, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x95b67fc6, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xba7fb813, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x1bae615f, "__pskb_pull_tail" },
	{ 0x3d23a8a7, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee410ec9, "netdev_state_change" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0x8e497f5c, "ip6_redirect" },
	{ 0xfdbdceb2, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xff8a0fca, "dst_cache_get" },
	{ 0x99d7cb89, "ip6_route_output_flags" },
	{ 0x18b69dd9, "xfrm_lookup" },
	{ 0xa1df027b, "skb_scrub_packet" },
	{ 0x6f4e4283, "skb_realloc_headroom" },
	{ 0x8d1df239, "skb_set_owner_w" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0x2df08f75, "ipv6_push_frag_opts" },
	{ 0xc57c5ec4, "skb_push" },
	{ 0xeb6638b0, "ip6_local_out" },
	{ 0x8bcb0017, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc6a7076e, "skb_copy_bits" },
	{ 0xe627bbe0, "ip6_dst_hoplimit" },
	{ 0xfa86a5eb, "ipv6_dev_get_saddr" },
	{ 0x67a85fb, "neigh_destroy" },
	{ 0x7d2fe0c1, "skb_clone" },
	{ 0xdb59fd1a, "skb_pull" },
	{ 0x6d6204ec, "__icmpv6_send" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x372ca5f6, "gro_cells_receive" },
	{ 0xf04f1c90, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7af50435, "ip_route_output_flow" },
	{ 0x3fba477f, "ip_route_input_noref" },
	{ 0x4390fb78, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa2e3cd9a, "iptunnel_handle_offloads" },
	{ 0x4cd65918, "icmpv6_ndo_send" },
	{ 0xb639d607, "icmp_ndo_send" },
	{ 0xdd64dbbe, "__iptunnel_pull_header" },
	{ 0x5b606be2, "metadata_dst_alloc" },
	{ 0x54d81995, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf0609438, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9e1548d8, "dev_get_tstats64" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "BE0736E6F2AB50294927908");
MODULE_INFO(rhelversion, "9.6");
