#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x361bbda3, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x857dee33, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x7d717f3e, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x8538475f, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x6de7996a, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xc35834d4, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xa1db8233, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x5e1c5987, "");
SYMBOL_CRC(ip_vs_conn_put, 0x7ee3bcf2, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x169e0c29, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x8b258832, "");
SYMBOL_CRC(register_ip_vs_app, 0xebc75697, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x3c3a6b4b, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xbf2a1bf9, "");
SYMBOL_CRC(ip_vs_proto_get, 0x9daf0cab, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xca471967, "");
SYMBOL_CRC(register_ip_vs_pe, 0x440dad5d, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x895cc269, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x59c3bfab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a357ce0, "nf_ct_ext_add" },
	{ 0x497887e0, "nf_conntrack_find_get" },
	{ 0x796833f, "try_module_get" },
	{ 0x67ae4e8, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfd8e2d85, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc6a7076e, "skb_copy_bits" },
	{ 0x18b69dd9, "xfrm_lookup" },
	{ 0x11cbba20, "proc_dointvec_jiffies" },
	{ 0xcf45d983, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0xeb6638b0, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x27039de0, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x702ead8, "nf_ct_netns_get" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x470b9136, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc1ad3520, "kernel_bind" },
	{ 0x9ebe3332, "genlmsg_put" },
	{ 0x9ae0de68, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4337bd44, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xaece54f4, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd8cb3186, "__module_get" },
	{ 0x7af50435, "ip_route_output_flow" },
	{ 0x52118b33, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa2e3cd9a, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xce8f61f1, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x266cf68e, "proc_create_net_data" },
	{ 0xd2fd7a42, "pskb_expand_head" },
	{ 0x532bba3a, "register_pernet_subsys" },
	{ 0x258118b2, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x2b497a37, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x197c09c5, "nf_register_net_hooks" },
	{ 0x99d7cb89, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x1806b850, "__alloc_skb" },
	{ 0xdae1ad2f, "kmem_cache_alloc" },
	{ 0x25aba0eb, "ipv6_sock_mc_join" },
	{ 0x289e0bc4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xfa86a5eb, "ipv6_dev_get_saddr" },
	{ 0xf50040d1, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdfc9e076, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x7e822b70, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6c043fc4, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x88f2803d, "nf_conntrack_alter_reply" },
	{ 0x2d3d21b9, "ip_route_me_harder" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xc57c5ec4, "skb_push" },
	{ 0x27a0e550, "kmem_cache_free" },
	{ 0x2613a642, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe7db7d8, "proc_doulongvec_minmax" },
	{ 0x589ecb4b, "nf_ct_expect_alloc" },
	{ 0x14de63ed, "skb_ensure_writable" },
	{ 0x9aa746ac, "iov_iter_kvec" },
	{ 0xc7f2f869, "ip_mc_join_group" },
	{ 0x81cabf22, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0609438, "ns_capable" },
	{ 0xf20d24a2, "nf_unregister_net_hooks" },
	{ 0x905e1995, "inet_select_addr" },
	{ 0x428f31e3, "unregister_pernet_device" },
	{ 0xca453ddc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x50576942, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x61dd5c6b, "kthread_stop" },
	{ 0x6234abf4, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc454b9cc, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x92a9368c, "kernel_connect" },
	{ 0x46069abb, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x8fa177af, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6d6204ec, "__icmpv6_send" },
	{ 0x1bae615f, "__pskb_pull_tail" },
	{ 0x7af4a7f4, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cd285da, "skb_trim" },
	{ 0x68a07f72, "nf_hook_slow" },
	{ 0x7ebe65a8, "mutex_trylock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd284719, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3af43061, "nf_ct_deliver_cached_events" },
	{ 0x6f4e4283, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6d47b06f, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4390fb78, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0x8d1df239, "skb_set_owner_w" },
	{ 0x9854f3b3, "__skb_checksum" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x753d6d15, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x23d42cfe, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbd53f9d4, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0x81c3dacc, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc62158b0, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5544755f, "ipv4_update_pmtu" },
	{ 0x1177276a, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294d28b0, "dst_release" },
	{ 0x61e189de, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf938f3e9, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x1a3b9458, "unregister_net_sysctl_table" },
	{ 0x8f4b3d6e, "ip_local_out" },
	{ 0x47da6c8d, "genl_unregister_family" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4cdc98ca, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x5faa2f9, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf2363776, "genl_register_family" },
	{ 0x72c2c96e, "kernel_sendmsg" },
	{ 0x1bbe1487, "nf_ct_netns_put" },
	{ 0xd5f03215, "register_pernet_device" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5a046b4f, "kmem_cache_destroy" },
	{ 0x7a443239, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf1d764d, "proc_dointvec_minmax" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "19A6DAAF650C30AEC160D30");
MODULE_INFO(rhelversion, "9.6");
