#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x366ed986, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xcc157628, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xd3fc36a6, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xffab7a60, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x10bfd9f8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x771624c, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x68cad8c0, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1d36e5d6, "inet_addr_type_table" },
	{ 0xfd8e2d85, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc6a7076e, "skb_copy_bits" },
	{ 0xa7674281, "inet_unregister_protosw" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xebdf2f13, "sock_wfree" },
	{ 0x41cb7708, "skb_put" },
	{ 0xcf45d983, "register_net_sysctl" },
	{ 0xe4209b9b, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe627bbe0, "ip6_dst_hoplimit" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0xc7865475, "inet6_add_offload" },
	{ 0x81d510a7, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4c86be45, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8450c0e9, "trace_raw_output_prep" },
	{ 0xd241169f, "l3mdev_fib_table_by_index" },
	{ 0xfbd55bea, "udp_sock_create4" },
	{ 0x9735ff20, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfb3bbe10, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x470b9136, "finish_wait" },
	{ 0xf682c837, "skb_segment" },
	{ 0x9f375f7d, "trace_event_printf" },
	{ 0x8bcacc08, "__ip_dev_find" },
	{ 0x6bbd2eb9, "udp_tunnel6_xmit_skb" },
	{ 0x5c25d6, "sock_common_getsockopt" },
	{ 0x5004658a, "inet_bind" },
	{ 0x85e3610d, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf54b80c2, "prepare_to_wait" },
	{ 0x93c4338c, "fd_install" },
	{ 0x3616f747, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b03beb, "inet_register_protosw" },
	{ 0x54d81995, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x6e29e474, "bpf_trace_run2" },
	{ 0x32fdc27a, "sock_common_setsockopt" },
	{ 0xe83bf30d, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1e31314c, "__wake_up" },
	{ 0xb36dc0f4, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7af50435, "ip_route_output_flow" },
	{ 0x3590d7c9, "rhashtable_walk_enter" },
	{ 0x52118b33, "kmem_cache_create" },
	{ 0x2b40ae9e, "__sk_mem_schedule" },
	{ 0xb0adebed, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd8350832, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x266cf68e, "proc_create_net_data" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xfe342e8b, "sk_error_report" },
	{ 0x532bba3a, "register_pernet_subsys" },
	{ 0x69d34765, "put_cmsg" },
	{ 0x71880fcc, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xf1ed2ecd, "inet_sock_destruct" },
	{ 0x1780cc35, "crypto_destroy_tfm" },
	{ 0xfd85229b, "sock_kmalloc" },
	{ 0x89aeace7, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x513a60ff, "inet_getname" },
	{ 0x9ec1d3f1, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xd2244ca0, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1806b850, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xd72626f0, "inet_release" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0xdae1ad2f, "kmem_cache_alloc" },
	{ 0xcfda19e9, "proto_register" },
	{ 0xf47b0256, "skb_copy_expand" },
	{ 0xee569162, "__wake_up_sync_key" },
	{ 0x13288bf9, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x579a857, "inet_ctl_sock_create" },
	{ 0xb029d18f, "inet_ioctl" },
	{ 0x791f8d6c, "reuseport_add_sock" },
	{ 0x91915462, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x45af7f87, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2cc9c77a, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xbd4dcca2, "perf_trace_run_bpf_submit" },
	{ 0xb61e03f8, "fput" },
	{ 0x61d3e02a, "__traceiter_sk_data_ready" },
	{ 0x935ea901, "inet_accept" },
	{ 0xdfc9e076, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xde253e3, "crypto_shash_setkey" },
	{ 0xdb59fd1a, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2da2c581, "inet_add_offload" },
	{ 0x6fae7df8, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x164ada07, "inet_add_protocol" },
	{ 0xf8e31cc6, "inet_shutdown" },
	{ 0x6de1d9e0, "sk_free" },
	{ 0x14da7cf9, "sock_wake_async" },
	{ 0xda597133, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4499b7f5, "inet_del_offload" },
	{ 0xc57c5ec4, "skb_push" },
	{ 0x76aa72e4, "__ip_queue_xmit" },
	{ 0x27a0e550, "kmem_cache_free" },
	{ 0x3c139481, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xe7db7d8, "proc_doulongvec_minmax" },
	{ 0x478a4bfb, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x51334b83, "rhashtable_walk_start_check" },
	{ 0xf0609438, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xca453ddc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5e5018bb, "inet6_ioctl" },
	{ 0x54ca4776, "skb_copy_datagram_iter" },
	{ 0xed297516, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5ee2c0b1, "idr_alloc_cyclic" },
	{ 0xebf7e027, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc454b9cc, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x1d9505d, "ip6_dst_lookup_flow" },
	{ 0x57738ff3, "rhashtable_free_and_destroy" },
	{ 0x96581af7, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0xcc965073, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf3282f33, "sock_no_mmap" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0x1bae615f, "__pskb_pull_tail" },
	{ 0xb2e4554f, "sock_no_sendpage" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x937dbbd0, "setup_udp_tunnel_sock" },
	{ 0x8a4e8aa5, "udp_sock_create6" },
	{ 0x4cd285da, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0c2357f, "sk_common_release" },
	{ 0xa8490e2f, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0x1b41d389, "inet6_getname" },
	{ 0xb0c6687e, "sock_i_ino" },
	{ 0x35a25cd2, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xff60634d, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x6b2f35b7, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8d1df239, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4bab7092, "trace_event_buffer_reserve" },
	{ 0x9854f3b3, "__skb_checksum" },
	{ 0xaa73fe7a, "reuseport_alloc" },
	{ 0x2c444e40, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xce3ac41b, "inet6_release" },
	{ 0x3724cac5, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x71e18bb, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xc1591c81, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfd5c4fd4, "rhltable_init" },
	{ 0xdc6aeef8, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc62158b0, "proc_create_net_single" },
	{ 0xc7e4454a, "skb_copy" },
	{ 0x7d2fe0c1, "skb_clone" },
	{ 0xcdfafc35, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294d28b0, "dst_release" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0x37cf2e67, "_copy_from_iter" },
	{ 0x61e189de, "sock_release" },
	{ 0x1586aa7d, "inet_recv_error" },
	{ 0xf938f3e9, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xaf944be6, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x876af63, "rhashtable_walk_next" },
	{ 0xbceb39b9, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3afd99a0, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x814967f2, "send_sig" },
	{ 0x1a3b9458, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5c572fa8, "inet6_add_protocol" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xc7b120c4, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x41b3291c, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x40970eaf, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb1933725, "reuseport_detach_sock" },
	{ 0x977ff6fe, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x2e78445c, "iov_iter_revert" },
	{ 0x8bed285e, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x220d9a2a, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdf90b3a6, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x5a046b4f, "kmem_cache_destroy" },
	{ 0x7a443239, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf1425e5, "skb_queue_head" },
	{ 0xbf1d764d, "proc_dointvec_minmax" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "14E24BA5AED1BF51B227D4B");
MODULE_INFO(rhelversion, "9.6");
