#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x89cea2d4, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x7522b714, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xb9d56c76, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xfc7d805f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xbbd2e9e1, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xc55a2fa8, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x5c37a1fe, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xcf4e79e3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x13b05082, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x4e7f6c64, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x8822b402, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xa0c6915c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x8d7bd4c6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x69ea8321, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x18e2a7bb, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x4c02f4af, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x8453df2e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xb52aacb6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x7b040fb4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x930d6871, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xcbaf9bd0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xaea7f4b7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x50ae7ef7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xa54b6cd7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x3e12f8d4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xaddb749c, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x8d71b21c, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x75dc0444, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x0491d4b6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x83d8f63e, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x8cda2c61, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xfdd2f8eb, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x347bc08a, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xb73df25f, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xf6216993, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x55aa07ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65eaa7e9, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xed3e9a9f, "vsock_insert_connected" },
	{ 0x41cb7708, "skb_put" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0x8450c0e9, "trace_raw_output_prep" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x9f788710, "vsock_remove_sock" },
	{ 0x9f375f7d, "trace_event_printf" },
	{ 0xcc0968fb, "vsock_deliver_tap" },
	{ 0x3616f747, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc53812e, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb36dc0f4, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfe342e8b, "sk_error_report" },
	{ 0x71880fcc, "trace_event_buffer_commit" },
	{ 0x683dd423, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd2244ca0, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x1806b850, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xbd4dcca2, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x6de1d9e0, "sk_free" },
	{ 0x478a4bfb, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xfeba21eb, "__skb_recv_datagram" },
	{ 0xca453ddc, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6cd888f5, "vsock_stream_has_data" },
	{ 0x54ca4776, "skb_copy_datagram_iter" },
	{ 0x842afa68, "bpf_trace_run9" },
	{ 0x80d2d97e, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc3ea8a8e, "sock_efree" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x3a140aed, "bpf_trace_run10" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x8ae905af, "vsock_core_get_transport" },
	{ 0x846f32e9, "__zerocopy_sg_from_iter" },
	{ 0x8ff13036, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8d1df239, "skb_set_owner_w" },
	{ 0x4bab7092, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x37cf2e67, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbc99e948, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1bd91596, "msg_zerocopy_realloc" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xb179bd89, "vsock_create_connected" },
	{ 0x26bcc1f7, "vsock_assign_transport" },
	{ 0x2e78445c, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x76498098, "iov_iter_npages" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x7a443239, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9fa92de5, "vsock_data_ready" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "CC66752BEBE17CC8EB88BBB");
MODULE_INFO(rhelversion, "9.6");
