#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_gen_new_ie, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_free_coloc_ap_list, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_parse_colocated_ap, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x385d45af, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xff24b7cd, "");
SYMBOL_CRC(wiphy_register, 0x0ac630d7, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x23fd6049, "");
SYMBOL_CRC(wiphy_unregister, 0xed0def61, "");
SYMBOL_CRC(wiphy_free, 0x8625b612, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xd5b98e07, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x0754bc23, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x2ce65a65, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x32c7a044, "");
SYMBOL_CRC(wiphy_work_queue, 0x9d80d6b5, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x84bebf30, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x91d03aff, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0xdf4d81fe, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x19c7198e, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x2e718403, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x4562ee78, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x202def7e, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x63e6514f, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x1d3757fc, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x9adbd93b, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x3849799e, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x6d4f6e01, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xd645624e, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x65616152, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xfec21e9d, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x73581c84, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xa96b2811, "");
SYMBOL_CRC(cfg80211_get_station, 0x7b0bcf17, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x2761d618, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x6a345f72, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x434d54c8, "");
SYMBOL_CRC(get_wiphy_regdom, 0xdd3f327e, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xf0a5d52b, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x909f51c3, "");
SYMBOL_CRC(regulatory_hint, 0x76fb4518, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x11726c68, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x2306c5bc, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x417f3f3b, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_gen_new_ie, 0xd949fe38, "");
SYMBOL_CRC(cfg80211_free_coloc_ap_list, 0x6563568b, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_parse_colocated_ap, 0xe23bea70, "");
SYMBOL_CRC(cfg80211_scan_done, 0xed7d7204, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x647f7510, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xffdd0916, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x241447a8, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x0115c25e, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x383d0bd5, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xfd32aca2, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x12e21f2e, "");
SYMBOL_CRC(cfg80211_ref_bss, 0xf377b0fa, "");
SYMBOL_CRC(cfg80211_put_bss, 0x7ed13604, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xf5bd2ce4, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x4474e0bb, "");
SYMBOL_CRC(nl80211_send_chandef, 0xe7ea367b, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x728e89ed, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x00065c4f, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x43858062, "");
SYMBOL_CRC(cfg80211_nan_match, 0xbd647f28, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x99910825, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xabb45457, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x127de82c, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x0b38d7ec, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x7ef69eb2, "");
SYMBOL_CRC(cfg80211_links_removed, 0x65c15f81, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xf119459e, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x45b37859, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xd9a9b138, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x3d16dbb0, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0xcc39a138, "");
SYMBOL_CRC(cfg80211_new_sta, 0xb4d51b1e, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x96998ba7, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x954048c3, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xebd7e71d, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0xd1a4c360, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x5d8e316e, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xe2fd2ab0, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xeee477bb, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x8f75aac3, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x627c0494, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x7a39f751, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x8afc6701, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x1ed67b67, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x83ed21c7, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x955ae06c, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x427b9886, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x3c1eff13, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x962edf88, "");
SYMBOL_CRC(cfg80211_probe_status, 0xfa35aad5, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x9075fa73, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xb4b54781, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x27e5bc2f, "");
SYMBOL_CRC(cfg80211_ft_event, 0x0cf7d017, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xe7eeecba, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xce143d09, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x3c608f66, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x52529e82, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x908f26f5, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xaa81900c, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x5125fe4d, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x2d11bd59, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x100ee4c4, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x2e8340e7, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x43f63fe8, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x7637e181, "");
SYMBOL_CRC(cfg80211_cac_event, 0x861bef0a, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x83c02a10, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xc9a625f0, "");
SYMBOL_CRC(cfg80211_connect_done, 0xf50c214d, "");
SYMBOL_CRC(cfg80211_roamed, 0xa2da77b5, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x26e35bed, "");
SYMBOL_CRC(cfg80211_disconnected, 0x741810a9, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x3a56fed0, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xcf7e245e, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x62d5a0f8, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xd91d2410, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0x470bb948, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x38145247, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x92747c49, "");
SYMBOL_CRC(wdev_chandef, 0x40abf56d, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x51f64a76, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x0d508770, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x4ece3596, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0xa22cfa7b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0x1ab56c49, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xca9834ef, "verify_pkcs7_signature" },
	{ 0xa97f1700, "bpf_trace_run4" },
	{ 0xc6a7076e, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x41cb7708, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xbc66bafa, "dev_set_name" },
	{ 0x28c4ccb3, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x26cac303, "__nla_validate" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8450c0e9, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xda06083d, "bpf_trace_run6" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x470b9136, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc2447aa9, "request_firmware" },
	{ 0x9f375f7d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xae831b22, "device_initialize" },
	{ 0x901306c9, "skb_add_rx_frag" },
	{ 0x9ebe3332, "genlmsg_put" },
	{ 0x3616f747, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x6e29e474, "bpf_trace_run2" },
	{ 0xaece54f4, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x51f42b4e, "genlmsg_multicast_allns" },
	{ 0xb36dc0f4, "event_triggers_call" },
	{ 0x1e31314c, "__wake_up" },
	{ 0x511bb2c2, "unregister_netdevice_queue" },
	{ 0x93f19071, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdb1b8540, "netlink_broadcast_filtered" },
	{ 0x6c5a203d, "keyring_alloc" },
	{ 0x234be7e7, "netdev_err" },
	{ 0x987511ac, "device_rename" },
	{ 0x71880fcc, "trace_event_buffer_commit" },
	{ 0xf04f1c90, "eth_type_trans" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf5c5f36f, "put_device" },
	{ 0xd2244ca0, "trace_event_ignore_this_pid" },
	{ 0x3577b913, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x1806b850, "__alloc_skb" },
	{ 0x9aaa249b, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x8f66ab02, "inet_csk_get_port" },
	{ 0xa2e8c78d, "key_put" },
	{ 0xdb9c3a38, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xb7d80ca, "__dev_get_by_index" },
	{ 0xbd4dcca2, "perf_trace_run_bpf_submit" },
	{ 0x5913d4bc, "_dev_err" },
	{ 0xdfc9e076, "init_net" },
	{ 0xb9ff0fc, "request_firmware_nowait" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xdb59fd1a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb9e95e46, "device_add" },
	{ 0x20822d48, "sysfs_remove_link" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9437e17f, "init_uts_ns" },
	{ 0x4fe03f98, "platform_device_unregister" },
	{ 0xd70359ca, "sk_skb_reason_drop" },
	{ 0x7e822b70, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xaf73f051, "dev_get_by_index" },
	{ 0x62ad0dd8, "bpf_trace_run5" },
	{ 0x6175c878, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xc57c5ec4, "skb_push" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x478a4bfb, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc586c528, "of_find_property" },
	{ 0xa0647390, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x428f31e3, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9d85c15a, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x72de7817, "bpf_trace_run1" },
	{ 0x449c7d24, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x8e0a5dbe, "param_ops_charp" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0x1bae615f, "__pskb_pull_tail" },
	{ 0x372e10f4, "netif_rx" },
	{ 0x36b59298, "__netdev_alloc_skb" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cd285da, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f897909, "of_prop_next_u32" },
	{ 0xa8490e2f, "bpf_trace_run3" },
	{ 0xf65ea92d, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x52df4908, "get_net_ns_by_pid" },
	{ 0xaf2b8f24, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x303dd794, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4bab7092, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xda02b9bc, "x509_load_certificate_list" },
	{ 0x61e189de, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x47da6c8d, "genl_unregister_family" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9b95dad, "bpf_trace_run7" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x5faa2f9, "param_ops_int" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0xf2363776, "genl_register_family" },
	{ 0x645bb49d, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd5f03215, "register_pernet_device" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xb57bdae4, "get_net_ns_by_fd" },
	{ 0x37fdf3f7, "class_register" },
	{ 0xc0a5ced6, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3d23a8a7, "register_netdevice" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "66A34D9FB81408FCF293A59");
MODULE_INFO(rhelversion, "9.6");
